Problemas na atualização

1. Problemas na atualização

Wallison Storck Coelho
Wallison_Storck

(usa elementary OS)

Enviado em 08/04/2015 - 08:42h

Já a dias tô tentando instalar o banco postgree sql no meu elementary, mas não consigo, e por isso os pacotes que add por linha de comando estão atrapalhando atualização, mas eu não consigo removelos, até porque esqueci o nome, mas eu tento os comandos de "remove", "purge", "autoremove" e não da certo, aparece a seguinte mensagem:

[email protected]:~$ sudo apt-get upgrade
[sudo] password for wallison:
E: O dpkg foi interrompido, para corrigir o problema tem de correr manualmente 'sudo dpkg --configure -a'
[email protected]:~$ sudo apt-get upgrade
E: O dpkg foi interrompido, para corrigir o problema tem de correr manualmente 'sudo dpkg --configure -a'
[email protected]:~$ sudo apt-get update
Obter:1 http://dl.google.com stable Release.gpg [198 B]
Atingido http://br.archive.ubuntu.com precise Release.gpg
Obter:2 http://dl.google.com stable Release [1.347 B]
Obter:3 http://br.archive.ubuntu.com precise-updates Release.gpg [198 B]
-------------------- ... -----------------------
Atingido http://br.archive.ubuntu.com precise-backports/multiverse Translation-en
Atingido http://br.archive.ubuntu.com precise-backports/restricted Translation-en
Obter:82 http://br.archive.ubuntu.com precise-backports/universe Translation-en [34,4 kB]
Baixados 28,2 MB em 6min 53s (68,3 kB/s)
W: Falhou ao buscar http://security.ubuntu.com/ubuntu/dists/precise-security/main/source/Sources Hash Sum incorreto

W: Falhou ao buscar http://br.archive.ubuntu.com/ubuntu/dists/precise-updates/main/source/Sources Hash Sum incorreto

W: Falhou ao buscar http://br.archive.ubuntu.com/ubuntu/dists/precise-updates/universe/source/Sources Hash Sum incorreto

W: Falhou ao buscar http://br.archive.ubuntu.com/ubuntu/dists/precise-updates/multiverse/source/Sources Hash Sum incorreto

W: Falhou ao buscar http://br.archive.ubuntu.com/ubuntu/dists/precise-updates/main/binary-amd64/Packages Hash Sum incorreto

W: Falhou ao buscar http://br.archive.ubuntu.com/ubuntu/dists/precise-updates/universe/binary-amd64/Packages Hash Sum incorreto

W: Falhou ao buscar http://br.archive.ubuntu.com/ubuntu/dists/precise-updates/multiverse/binary-amd64/Packages Hash Sum incorreto

W: Falhou ao buscar http://br.archive.ubuntu.com/ubuntu/dists/precise-updates/main/binary-i386/Packages Hash Sum incorreto

W: Falhou ao buscar http://br.archive.ubuntu.com/ubuntu/dists/precise-updates/universe/binary-i386/Packages Hash Sum incorreto

W: Falhou ao buscar http://br.archive.ubuntu.com/ubuntu/dists/precise-updates/multiverse/binary-i386/Packages Hash Sum incorreto

W: Falhou ao buscar http://apt.postgresql.org/pub/repos/apt/dists/luna-pgdg/main/binary-amd64/Packages 404 Not Found [IP: 217.196.149.55 80]

W: Falhou ao buscar http://apt.postgresql.org/pub/repos/apt/dists/luna-pgdg/main/binary-i386/Packages 404 Not Found [IP: 217.196.149.55 80]

W: Falhou ao buscar http://security.ubuntu.com/ubuntu/dists/precise-security/main/i18n/Translation-en Hash Sum incorreto

W: Falhou ao buscar http://security.ubuntu.com/ubuntu/dists/precise-security/universe/i18n/Translation-en Hash Sum incorreto

W: Falhou ao buscar http://br.archive.ubuntu.com/ubuntu/dists/precise-updates/main/i18n/Translation-en Hash Sum incorreto

E: Alguns arquivos index falharam ao ser baixados. Eles foram ignorados, ou cópias antigas são usadas ao invés.
E: O dpkg foi interrompido, para corrigir o problema tem de correr manualmente 'sudo dpkg --configure -a'
[email protected]:~$ sudo apt-get autoremove postgresql
E: O dpkg foi interrompido, para corrigir o problema tem de correr manualmente 'sudo dpkg --configure -a'
[email protected]:~$ sudo apt-get purge
E: O dpkg foi interrompido, para corrigir o problema tem de correr manualmente 'sudo dpkg --configure -a'
[email protected]:~$ sudo apt-get remove
E: O dpkg foi interrompido, para corrigir o problema tem de correr manualmente 'sudo dpkg --configure -a'
[email protected]:~$

Alguem pode ajudar?


  


2. Re: Problemas na atualização

Raphael Oliveira
rapharocket

(usa Solus)

Enviado em 08/04/2015 - 12:06h

Isto já estava acontecendo antes de você instalar o pacote do Postgre?

Edição:

Aplique este comando no terminal:

$ history

Procure na lista, os pacotes que você instalou e que, segundo você mesmo, podem ser parte do problema, e liste-os aqui.


3. Re: Problemas na atualização

Ruan
ru4n

(usa Debian)

Enviado em 08/04/2015 - 12:20h

Pelas mensagens, foi repetida N vezes que é necessário rodar o comando dpkg --configure -a. Por que não executou?

E: O dpkg foi interrompido, para corrigir o problema tem de correr manualmente 'sudo dpkg --configure -a'

___________________________________________________________________
Slackware 14.1 x86_64 [multilib] - Core2Duo, 8GB RAM - NVIDIA GeForce 9500GT


4. Re: Problemas na atualização

Leonardo J. Oliveira
leojuoli

(usa Debian)

Enviado em 08/04/2015 - 14:25h

sudo dpkg --configure -a

Resolve as dependecias do dpkg
---
Leonardo J. Oliveira
[email protected]


5. Re: Problemas na atualização

Wallison Storck Coelho
Wallison_Storck

(usa elementary OS)

Enviado em 09/04/2015 - 02:17h

leojuoli escreveu:

sudo dpkg --configure -a

Resolve as dependecias do dpkg
---
Leonardo J. Oliveira
[email protected]

Acha mesmo que não executei?


ru4n escreveu:

Pelas mensagens, foi repetida N vezes que é necessário rodar o comando dpkg --configure -a. Por que não executou?

E: O dpkg foi interrompido, para corrigir o problema tem de correr manualmente 'sudo dpkg --configure -a'

___________________________________________________________________
Slackware 14.1 x86_64 [multilib] - Core2Duo, 8GB RAM - NVIDIA GeForce 9500GT

Não resolve! Alias, meu dropbox também bugou, não aguentei esperar instalar e fechei o note eu acho, agora não desinstala mais. e apos o comando aparece isso:
[email protected]:~$ sudo dpkg --configure -a
Configurando nautilus-dropbox (0.7.1-2) ...

Dropbox is the easiest way to share and store your files online. Want to learn more? Head to http://www.dropbox.com/

Downloading Dropbox... 0%

Quando o download chega a 100% ele simplesmente para, e não consigo colocar pra instalar de novo, para talvez desbugar


rapharocket escreveu:

Isto já estava acontecendo antes de você instalar o pacote do Postgre?

Edição:

Aplique este comando no terminal:

$ history

Procure na lista, os pacotes que você instalou e que, segundo você mesmo, podem ser parte do problema, e liste-os aqui.

Faz um tempo que isso ta bugado, mas achei as linhas facil:

521 sudo gedit /etc/apt/sources.list.d/pgdg.list
522 sudo apt-get update
523 sudo sh -c 'echo "deb http://apt.postgresql.org/pub/repos/apt/ $(lsb_release -cs)-pgdg main" > /etc/apt/sources.list.d/pgdg.list'
524 sudo apt-get install wget ca-certificates
525 wget --quiet -O - https://www.postgresql.org/media/keys/ACCC4CF8.asc | sudo apt-key add -
526 sudo apt-get update
527 sudo gedit /etc/apt/sources.list.d/pgdg.list.
528 sudo gedit /etc/apt/sources.list.d/pgdg.list
529 sudo rm /etc/apt/sources.list.d/pgdg.list
530 sudo gedit /etc/apt/sources.list.d/pgdg.list
531 sudo sh -c 'echo "deb http://apt.postgresql.org/pub/repos/apt/ $(lsb_release -cs)-pgdg main" > /etc/apt/sources.list.d/pgdg.list'
532 wget --quiet -O - https://www.postgresql.org/media/keys/ACCC4CF8.asc | sudo apt-key add -
533 sudo apt-get update
534 sudo gedit /etc/apt/sources.list.d/pgdg.list
535 sudo apt-get update
536 sudo apt-get upgrade
537 sudo apt-get install postgresql-9.4
538 sudo apt-get install 129ubuntu1+elementary2~precise1
539 sudo apt-get install postgresql-client-9.4
540 sudo apt-get install postgresql-9.4 pgadmin3
541 sudo apt-get install wget ca-certificates
542 wget --quiet -O - https://www.postgresql.org/media/keys/ACCC4CF8.asc | sudo apt-key add -
543 sudo apt-get update
544 sudo sh -c 'echo "deb http://apt.postgresql.org/pub/repos/apt/ $(lsb_release -cs)-pgdg main" > /etc/apt/sources.list.d/pgdg.list'
545 sudo apt-get update


Tentei seguir as intruções desse site: https://wiki.postgresql.org/wiki/Apt
Mas não deu certo. :(






6. Re: Problemas na atualização

Rodrigo Raíz
Raz

(usa Manjaro Linux)

Enviado em 10/04/2015 - 16:14h

Por quanto tempo esperou pelos 100% do dropbox?
Aliás amigo,evite interromper esses processos de instalação no terminal do linux,só irá te dar dores de cabeça caso o comando que resolve as dependências falhe.
Tente isto:
sudo su
apt-get purge [nomedoprograma]
apt-get remove [nomedoprograma]
apt-get autoremove
dpkg --configure -a
dpkg-reconfigure [nomedoprograma]
em caso de erro se possível poste uma screenshot do seu terminal ou uma mensagem detalhada sobre seu problema.Boa Tarde.


7. Re: Problemas na atualização

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 10/04/2015 - 16:21h

Rode um comando de cada vez:
sudo dpkg --configure -a
sudo apt-get -f install
sudo apt-get -f remove
sudo apt-get update
sudo apt-get upgrade





8. Re: Problemas na atualização

Wellington
wellington_r

(usa Debian)

Enviado em 10/04/2015 - 16:40h

É bom executar um apt-get clean, também, pois o pacote do cache pode estar corrompido.

PS: se executou "dpkg --configure -a", por que não posta a saída?

Pesquisa no Google por "Hash Sum Incorreto":

http://www.vivaolinux.com.br/topico/UbuntuBR/Hash-Sum-incorreto


9. Re: Problemas na atualização

Luís Fernando C. Cavalheiro
lcavalheiro

(usa Slackware)

Enviado em 10/04/2015 - 16:45h

O bom do Elementary ser um chupa-cabra do Ubuntu é que só de saber que o cara está usando o Precise Pangolin nos repositórios temos a total certeza que ele está com uma distro que não recebe mais suporte de atualizações. Sabe o que isso significa: todos os erros dele lá em cima aconteceram porque o apt-get não está achando os repositórios.

Zé, atualiza sua distro, filhão!
--
Luís Fernando Carvalho Cavalheiro
Public GPG signature: 0x246A590B
Licenciado Pleno em Filosofia pela Universidade do Estado do Rio de Janeiro
Mestrando em Medicina (Cardiologia) pela Universidade Federal do Rio de Janeiro


10. Re: Problemas na atualização

Perfil removido
removido

(usa Nenhuma)

Enviado em 10/04/2015 - 16:51h

lcavalheiro escreveu:

O bom do Elementary ser um chupa-cabra do Ubuntu é que só de saber que o cara está usando o Precise Pangolin nos repositórios temos a total certeza que ele está com uma distro que não recebe mais suporte de atualizações. Sabe o que isso significa: todos os erros dele lá em cima aconteceram porque o apt-get não está achando os repositórios.

Zé, atualiza sua distro, filhão!
--
Luís Fernando Carvalho Cavalheiro
Public GPG signature: 0x246A590B
Licenciado Pleno em Filosofia pela Universidade do Estado do Rio de Janeiro
Mestrando em Medicina (Cardiologia) pela Universidade Federal do Rio de Janeiro


Boa tarde,

Não Luiz, o 12.04 LTS tem suporte até 04/2017. Ai, é outra parada!!

Att,
Jbaf_2015
Ubuntu LTS, Fedora, Mageia


11. Problemas na atualização

Rodrigo Lira
roudi

(usa Arch Linux)

Enviado em 12/04/2015 - 11:36h

Bom Dia
Parece que o seu source.list está meio abichado, com linhas que vc inseriu para a instalação do postgree sql. Talvez por isso ele esteja dando erro pois ele não consegue fazer download de dependências. Tenta criar um novo source.list (http://repogen.simplylinux.ch ) com o básico do sistema e rodar novamente o comando apt-get udpate && apt-get upgrade.



12. Re: Problemas na atualização

Wallison Storck Coelho
Wallison_Storck

(usa elementary OS)

Enviado em 14/04/2015 - 08:40h

The_Boss escreveu:

Por quanto tempo esperou pelos 100% do dropbox?
Aliás amigo,evite interromper esses processos de instalação no terminal do linux,só irá te dar dores de cabeça caso o comando que resolve as dependências falhe.
Tente isto:
sudo su
apt-get purge [nomedoprograma]
apt-get remove [nomedoprograma]
apt-get autoremove
dpkg --configure -a
dpkg-reconfigure [nomedoprograma]
em caso de erro se possível poste uma screenshot do seu terminal ou uma mensagem detalhada sobre seu problema.Boa Tarde.

Tinha esperado por pouco tempo, ontem coloquei o "sudo dpkg --configure -a" e deixei a noite toda, tá até agora nos mesmo 100%. Não acontece nada em seguida, e também não funfa nenhum comando em seguida... Olha só: http://tinypic.com/r/209505u/8


clodoaldops escreveu:

Rode um comando de cada vez:
sudo dpkg --configure -a
sudo apt-get -f install
sudo apt-get -f remove
sudo apt-get update
sudo apt-get upgrade

Depois que o download chega a 100%, nenhum comando roda mais, o terminal parece que buga, trava, seila. E nenhum desses comandos funciona antes do "sudo dpkg --configure -a" fica mandando executar ele, e depois que executo buga tudo.


wellington_r escreveu:

É bom executar um apt-get clean, também, pois o pacote do cache pode estar corrompido.

PS: se executou "dpkg --configure -a", por que não posta a saída?

Pesquisa no Google por "Hash Sum Incorreto":

http://www.vivaolinux.com.br/topico/UbuntuBR/Hash-Sum-incorreto

Eu postei a saida cara olha lá encima. E esse tópico do Hash Sum não ensina nada, já fiz isso.


roudi escreveu:

Bom Dia
Parece que o seu source.list está meio abichado, com linhas que vc inseriu para a instalação do postgree sql. Talvez por isso ele esteja dando erro pois ele não consegue fazer download de dependências. Tenta criar um novo source.list (http://repogen.simplylinux.ch ) com o básico do sistema e rodar novamente o comando apt-get udpate && apt-get upgrade.

Já fiz, mudei o atual para servido principal, fiz outro sources.list(copiei do cd de instalação) e nada, mesmo erro.







01 02